RNDCONTROL(8)

NAME
rndcontrol - a utility for manipulating the /dev/random device.

SYNOPSIS
rndcontrol [-q] [-s irq_no] [-c irq_no]

DESCRIPTION
The rndcontrol command is used to set which interrupts are used to help randomise the ``pool of entropy'' maintained by the kernel. The /dev/random and /dev/urandom devices are the user interface to this source of randomness. Any changes take effect immediately.

OPTIONS
The following command line options are supported:

-q  Turns off all output except errors.

-s n
    Allows IRQ n to be used as a source of randomness. This option may be repeated for more than one IRQ.

-c n
    Stops IRQ n from being used as a source of randomness. This option may be repeated for more than one IRQ.

    The default is to have no IRQ's being used.

FILES
/dev/random - Secure random device
/dev/urandom - Random device

BUGS
Sure to be some.

SEE ALSO
random(4)

AUTHOR
Theodore Ts'o wrote the core code. Mark Murray ported this code to FreeBSD and wrote the support routines and constructed the man pages.

HISTORY
rndcontrol first appeared in FreeBSD 2.1.5